[Seaside] Re: Problem upgrading seaside from an existing image (Pharo #14438 and Seaside 3.0)

Dave lasmiste at gmail.com
Fri Sep 6 17:27:48 UTC 2013

DiegoLont wrote
> Dave,
> Thanks for fixing my script, I was rather fast in typing a reply.

No problem, Diego, I make a lot of typos when I write

> There can be several problems remaining, that might be a bit more
> difficult to find out:
> 	1) Metacello might be outdated. The configuration of Seaside is quite
> complex, and therefor needs a recent version. Loading a newer version of
> Metacallo before upgrading Seaside might help.

Done, no improvement.

> 	2) Your package cache might be polluted. Trying to upgrade an image,
> always put things in your package cache first (downloads them there) and
> wrong packages here sometimes lead to trouble. But I understand that
> Stephan tested with a clean image, so this is not the case.

Yep, I also tested with a brand new image with no success.

> 	3) There might be a problem with one of the (newer) used configurations.
> One of the trouble I ran into was that the currentVersion was not
> determined correctly, so I had to specify Seaside3 differently. I do not
> know if all configurations are well. Finding out where the problem here
> is, is harder. But maybe you should try running:
> 		(ConfigurationOfSeaside3 project version: #stable) 
> But I will try to find some time to look into your problem.


> Good luck,
> Diego

View this message in context: http://forum.world.st/Problem-upgrading-seaside-from-an-existing-image-Pharo-14438-and-Seaside-3-0-tp4706594p4706963.html
Sent from the Seaside General mailing list archive at Nabble.com.

More information about the seaside mailing list